Bug 1262863 - system configuration: env_keep += COLORFGBG for vim
system configuration: env_keep += COLORFGBG for vim
Product: Fedora
Classification: Fedora
Component: sudo (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Kopeček
Fedora Extras Quality Assurance
Depends On:
Blocks: 1262837 1377316
  Show dependency treegraph
Reported: 2015-09-14 09:44 EDT by Pavel Raiskup
Modified: 2017-03-31 10:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-03-31 08:46:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pavel Raiskup 2015-09-14 09:44:05 EDT
This is to allow 'vim' correctly detect light/dark terminal to choose
appropriate theme.  Could we please put this into /etc/sudoers?

    Defaults    env_keep += "COLORFGBG"
Comment 1 Jan Kurik 2016-02-24 08:44:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
Comment 2 Tomas Sykora 2017-03-31 08:46:35 EDT
This setting is up to user, everyone can make their own. Closing this.
Comment 3 Pavel Raiskup 2017-03-31 10:24:25 EDT
> This setting is up to user, everyone can make their own.

No, when we talk about innocent variable which is needed by significant
portion of users, you don't want to bother community with manual

However, the correct reasoning is that this is actually not needed for
sudo on Fedora anymore, because modern vim is able to communicate
background color with modern terminal (over terminal control sequences).

So nowadays in Fedora, it is only worth passing COLORFG through ssh
connections to older systems (unfortunately also to RHEL7).

Note You need to log in before you can comment on or make changes to this bug.